Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XMLSchemaSyntax.Schema

    java.lang.Object
      org.jdom.Content
          org.jdom.Element
              ix.util.xml.XMLSchemaSyntax.ExtendedElement
                  ix.util.xml.XMLSchemaSyntax.Schema

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jdom.Parent

Enclosing class:
  XMLSchemaSyntax

    public static class XMLSchemaSyntax.Schema

extends XMLSchemaSyntax.ExtendedElement

An XML schema.

See Also:
  Serialized Form

Field Summary
`(package private) java.util.Set` | `listofClasses`
`(package private) java.lang.Class` | `rootClass`

Fields inherited from class org.jdom.Element
`additionalNamespaces, name, namespace`

Fields inherited from class org.jdom.Content
`parent`

Constructor Summary
`XMLSchemaSyntax.Schema(java.lang.Class rootClass, java.lang.String[][] attributes)` Create a schema with specified root class and attributes.

Method Summary
`(package private) java.util.Set` | `getListofClasses()` List of classes that require list-of types.
`java.lang.Class` | `getRootClass()` What this schema is about (domain, plan, or all objects).
`org.jdom.Element` | `getTypeDefinition(java.lang.String typeName)` Finds a definition in the existing top-level content.

Methods inherited from class ix.util.xml.XMLSchemaSyntax.ExtendedElement
`toString`

Methods inherited from class org.jdom.Element
`addContent, addContent, addContent, addContent, addContent, addNamespaceDeclaration, clone, cloneContent, getAdditionalNamespaces, getAttribute, getAttribute, getAttributes, getAttributeValue, getAttributeValue, getAttributeValue, getAttributeValue, getChild, getChild, getChildren, getChildren, getChildren, getChildText, getChildText, getChildTextNormalize, getChildTextNormalize, getChildTextTrim, getChildTextTrim, getContent, getContent, getContent, getContentSize, getDescendants, getDescendants, getName, getNamespace, getNamespace, getNamespacePrefix, getNamespaceURI, getQualifiedName, getText, getTextNormalize, getTextTrim, getValue, indexOf, isAncestor, isRootElement, removeAttribute, removeAttribute, removeAttribute, removeChild, removeChild, removeChildren, removeChildren, removeContent, removeContent, removeContent, removeContent, removeNamespaceDeclaration, setAttribute, setAttribute, setAttribute, setAttributes, setContent, setContent, setContent, setContent, setName, setNamespace, setText`

Methods inherited from class org.jdom.Content
`detach, equals, getDocument, getParent, getParentElement, hashCode, setParent`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jdom.Parent
`getDocument, getParent`

Field Detail

### rootClass

    java.lang.Class rootClass

### listofClasses

    java.util.Set listofClasses

Constructor Detail

### XMLSchemaSyntax.Schema

    public XMLSchemaSyntax.Schema(java.lang.Class rootClass,
                                  java.lang.String[][] attributes)

  Create a schema with specified root class and attributes.

Method Detail

### getRootClass

    public java.lang.Class getRootClass()

  What this schema is about (domain, plan, or all objects).

### getListofClasses

    java.util.Set getListofClasses()

  List of classes that require list-of types.

### getTypeDefinition

    public org.jdom.Element getTypeDefinition(java.lang.String typeName)

  Finds a definition in the existing top-level content.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD